sqoop-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Boglarka Egyed (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (SQOOP-3369) Investigate sqoop import + --incremental + lastmodified + --as-avrofile use case
Date Thu, 23 Aug 2018 09:59:00 GMT

     [ https://issues.apache.org/jira/browse/SQOOP-3369?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Boglarka Egyed updated SQOOP-3369:
----------------------------------
    Description: 
Currently the {{sqoop import}} + {{--incremental lastmodified}} + {{--as-avrodatafile}} command
fails fast with the following message:
{noformat}
WARN tool.BaseSqoopTool: Setting your password on the command-line is insecure. Consider using
-P instead.

--incremental lastmodified cannot be used in conjunction with --as-avrodatafile.{noformat}
However the {{merge-tool}} supports AvroData file format too, see [https://sqoop.apache.org/docs/1.4.7/SqoopUserGuide.html#_literal_sqoop_merge_literal.]

It should be checked whether the fail fast is still valid or {{--incremental lastmodified}} work
with AvroData file format too.

  was:
Currently the {{sqoop import}} + {{--incremental lastmodified}} + {{-as-avrodatafile}} command
fails fast with the following message:
{noformat}
WARN tool.BaseSqoopTool: Setting your password on the command-line is insecure. Consider using
-P instead.

--incremental lastmodified cannot be used in conjunction with --as-avrodatafile.{noformat}
However the {{merge-tool}} supports AvroData file format too, see [https://sqoop.apache.org/docs/1.4.7/SqoopUserGuide.html#_literal_sqoop_merge_literal.]

It should be checked whether the fail fast is still valid or {{--incremental lastmodified}} work
with AvroData file format too.


> Investigate sqoop import + --incremental + lastmodified + --as-avrofile use case
> --------------------------------------------------------------------------------
>
>                 Key: SQOOP-3369
>                 URL: https://issues.apache.org/jira/browse/SQOOP-3369
>             Project: Sqoop
>          Issue Type: Bug
>    Affects Versions: 1.4.7
>            Reporter: Boglarka Egyed
>            Priority: Major
>
> Currently the {{sqoop import}} + {{--incremental lastmodified}} + {{--as-avrodatafile}} command
fails fast with the following message:
> {noformat}
> WARN tool.BaseSqoopTool: Setting your password on the command-line is insecure. Consider
using -P instead.
> --incremental lastmodified cannot be used in conjunction with --as-avrodatafile.{noformat}
> However the {{merge-tool}} supports AvroData file format too, see [https://sqoop.apache.org/docs/1.4.7/SqoopUserGuide.html#_literal_sqoop_merge_literal.]
> It should be checked whether the fail fast is still valid or {{--incremental lastmodified}} work
with AvroData file format too.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message